:	creat portable C library "libp.a"
echo 
echo /lib/libp.a

chdir ../portc1
echo calloc.c;	cc -c -O calloc.c;	mv calloc.o ../portc2/calloc.o
echo cclose.c;	cc -c -O cclose.c;	mv cclose.o ../portc2/cclose.o
echo ceof.c;	cc -c -O ceof.c;	mv ceof.o ../portc2/ceof.o
echo cerr2.c;	cc -c -O cerr2.c;	mv cerr2.o ../portc2/cerr2.o
echo cerror.c;	cc -c -O cerror.c;	mv cerror.o ../portc2/cerror.o
echo cexit.c;	cc -c -O cexit.c;	mv cexit.o ../portc2/cexit.o
echo cflush.c;	cc -c -O cflush.c;	mv cflush.o ../portc2/cflush.o
echo cfree.c;	cc -c -O cfree.c;	mv cfree.o ../portc2/cfree.o
echo cgetc.c;	cc -c -O cgetc.c;	mv cgetc.o ../portc2/cgetc.o
echo ciodec.c;	cc -c -O ciodec.c;	mv ciodec.o ../portc2/ciodec.o
echo clenf.c;	cc -c -O clenf.c;	mv clenf.o ../portc2/clenf.o
echo copen.c;	cc -c -O copen.c;	mv copen.o ../portc2/copen.o
echo cputc.c;	cc -c -O cputc.c;	mv cputc.o ../portc2/cputc.o
echo cwrd.c;	cc -c -O cwrd.c;	mv cwrd.o ../portc2/cwrd.o
echo exit.c;	cc -c -O exit.c;	mv exit.o ../portc2/exit.o
echo ftoa.c;	cc -c -O ftoa.c;	mv ftoa.o ../portc2/ftoa.o
echo getch.c;	cc -c -O getch.c;	mv getch.o ../portc2/getch.o
echo gets.c;	cc -c -O gets.c;	mv gets.o ../portc2/gets.o
echo getvec.c;	cc -c -O getvec.c;	mv getvec.o ../portc2/getvec.o

chdir ../portc2
echo ihexit.s;	as ihexit.s;	mv a.out IHexit.o
echo intss.c;	cc -c -O intss.c
echo makbuf.c;	cc -c -O makbuf.c
echo maktab.c;	cc -c -O maktab.c
echo portlb.c;	cc -c -O portlb.c
echo printf.c;	cc -c -O printf.c
echo putch.c;	cc -c -O putch.c
echo puts.c;	cc -c -O puts.c
echo relvec.c;	cc -c -O relvec.c
echo rew.c;	cc -c -O rew.c
echo scan1.c;	cc -c -O scan1.c
echo scan2.c;	cc -c -O scan2.c
echo scan3.c;	cc -c -O scan3.c
echo system.c;	cc -c -O system.c
echo tmpnam.c;	cc -c -O tmpnam.c
echo unget.c;	cc -c -O unget.c
echo wdleng.c;	cc -c -O wdleng.c

ar rv /lib/libp.a tmpnam.o printf.o ftoa.o clenf.o scan1.o scan2.o \
scan3.o gets.o puts.o cwrd.o maktab.o unget.o getch.o cgetc.o putch.o \
cerror.o copen.o cputc.o makbuf.o rew.o cflush.o ceof.o cerr2.o cexit.o \
cclose.o getvec.o relvec.o wdleng.o system.o ciodec.o calloc.o cfree.o \
intss.o exit.o portlb.o IHexit.o

chmod 644 /lib/libp.a
chown bin /lib/libp.a
rm *.o
